﻿(function () {
    return {
        uiCreated: function (namingContainer, settings) {
            var control = dijit.byId(namingContainer + 'SegmentId');
            var taxonomy = {
                c_age_median:
                    "This segment represents the midpoint of observed values, qualities, or frequency distribution. It is often used when referring to age or income. ",
                c_16_to_19_year_olds_in_school:
                    "While dropping out of school has seen a worldwide decline in the past thirty years, this segment covers students ages 16-19 who are still currently enrolled in school. ",
                c_earth_temperature:
                    "Global warming, and specifically the temperature of Earth, has been the subject of polemical debates in recent years. This segment shows changing trends in the Earth's temperature.",
                c_earth_temperature_amplitude:
                    "The Earth's temperature is certainly in flux, and the amplitude can be defined as the difference in the median temperatures between two contigious periods of cold and warmth.",
                c_high_school_graduate_rate:
                    "This section provides information on the rate of people who have graduated high school",
                c_less_than_hs_education_rate:
                    "This segment provides information on the rate of those with less than a high school education.",
                c_master_s_degree_rate:
                    "This segment provides information on the rate of those who hold a master's degree.",
                c_electric_consumer_residential:
                    "Let's shed some light on the subject. This segment provides information on residential consumers of electricity.",
                c_electric_price_commercial:
                    "It pays to compare. Some companies are light years apart when it comes to pricing. This segment provides information on the commercial price of electricity.",
                c_electric_consumer_industrial:
                    "Let's shed some light on the subject. This segment provides information on industrial consumers of electricity.",
                c_electric_consumers_total:
                    "Let's shed some light on the subject. This segment provides information on the total amount of electricity consumers.",
                c_employment_rate:
                    "The daily grind. This segment provies information on overall employment rates.",
                c_health_insurance_none:
                    "This segment discusses the rate of those without health insurance. ",
                c_heating_degree_days:
                    "Brr, it's cold in here. This segment provides information on Heating Degree Days, which is a measurement that is designed to quanitfy the energy needed to heat a building. ",
                c_heating_fuel_coal_coke_rate:
                    "Some like it hot. This segment provides information on the rate of coke and coal used for heating purposes.",
                c_heating_fuel_electricity_rate:
                    "Some like it hot. This segment provides information on the rate of electricity used for heating purposes.",
                c_heating_fuel_gas_rate:
                    "Some like it hot. This segment provides information on the rate of gas used for heating purposes.",
                c_house_hold_type_family_rate:
                    "We are family. This segment provides information on the rate of residents each housing unit and how they are related.",
                c_incentives_non_residential:
                    "You get what you give. This segment provides information on the incentives (rebates, financing) provided to non-commercial entities for installing energy-saving measures.",
                c_incentives_residential:
                    "You get what you give. This segment provides information on the incentives (rebates, financing) provided to residential properties for installing energy-saving measures.",
                c_mortgage_with_rate:
                    "Break out the champagne. This segment has just embarked on a thirty-year homeowning journey, and we can see the trends in mortages with accompanying interest rates. ",
                c_net_metering:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on net metering, which allows consumers who generate some or all of their own electricity to use that electricity anytime, instead of when it is generated.",
                c_occupancy_vacant_rate:
                    "This segment provides information on the percentage of residential rental units that are currently vacant.",
                c_occupation_admin_rate:
                    "Administrative workers are the glue that holds companies together. This segment provides information on the rate of people holding such an occupation.",
                c_occupation_agriculture_rate:
                    "You can bet the farm that agriculture is vital to society. This segment provides information on the rate of those engaged in an agricultural occupation.",
                c_occupation_education_rate:
                    "They're the assurers of our children's passports to the future. This segment represents the rate of those employed in the education field. ",
                c_occupation_finance_rate:
                    "Whether it's corporate, public, or personal, those working in the finance field know all about money management. This segment represents the rate of those employed in finance. ",
                c_occupation_information:
                    "Information is the key to life. This segment represents the rate of those keyholders engaged in an information occupation.",
                c_occupation_retail_rate:
                    "A stellar example of providing customer service under all types of conditions, this segment provides information on the rate of those employed in the retail sector.",
                c_occupation_transport_rate:
                    "Planes, trains, and automobiles. This segment provides information on the rate of those employed in a transporation occupation.",
                c_occupation_wholesale_rate:
                    "The supplies of the middlemen. This segment provides information on the rate of those employed in the wholesale sector. ",
                c_property_tax:
                    "This segment provides information on property taxes for a given area.",
                c_race_asian_rate:
                    "This segment provides information on the rate of people identifying as Asian in a given area.",
                c_race_other_rate:
                    "This segment provides information on the rate of people identifying as an unspecificed race in a given area.",
                c_race_two_more_rate:
                    "This segment provides information on the rate of people identifying as two or more races in a given area. ",
                c_race_white_rate:
                    "This segment provides information on the rate of people identifying as white in a given area. ",
                c_solar_systems_non_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of non-residential solar power systems.",
                c_solar_systems_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of residential solar power systems.",
                c_tile_count:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of solar tiles.",
                c_total_area:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the total surface area for solar power systems.",
                c_panel_area_non_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the total surface area for non-residential solar power systems.",
                c_panel_area_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the total surface area for residential solar power systems.",
                c_transport_home_rate:
                    "No commute needed! This segment provides information on the people working from home. ",
                c_transport_motorcycle_rate:
                    "Easy riders. This segment provides information on the people using motorcycles for transportation.",
                c_transport_public_rate:
                    "Don't miss the bus! This segment provides information on those using public transportation.",
                c_travel_time_10_to_19_rate:
                    "If you work or study close to home, chances are you have a short commute. Lucky! This segment provides information on the travel time for the 10-19 minute range.",
                c_travel_time_20_to_29_rate:
                    "Time is precious. The people in this segment aren't losing too much of it to their commute. It provies information on the travel time for the 20-29 minute range.",
                c_travel_time_60_to_89_rate:
                    "Sometimes there is no other option. A lot of commuters report finding ways to be productive during longer drives. This segment provides information on the travel time for the 60-89 minute range.",
                c_travel_time_less_than_10_rate:
                    "With a commute under ten minutes, you might be working from home! This segment provides information on the travel time for the less than 10-minute range.",
                c_voting_2016_dem_percentage:
                    "This segment provides information on the percentage of democratic voters in the 2016 election.",
                c_voting_2016_gop_percentage:
                    "This segment provides information on the percentage of republican voters in the 2016 election.",
                c_water_area:
                    "Water, water everywhere. This segment provides information on the surface area of water.",
                c_age_55_to_64_rate:
                    "As young baby boomers, this generation came of age during a period of increasing affluence in the post-war years and experienced significant social change. This segment provides information on the second cohort of this generation, ages 55 to 64. ",
                c_age_65_to_74_rate:
                    "While some early baby boomers would grow up to become the first hippies, their generation as a whole became more conservative during the 80s. This segment provides information on the first cohort of this generation, ages 65 to 74.",
                c_age_45_to_54_rate:
                    "Known as the MTV generation, this segment was initially labeled as unfocused slackers, but have since proven to be the hardest-working generation since the WWII Generation. It provides information on people ages 45 to 54.",
                c_c_occupation_information:
                    "This segment provides information on occupations.",
                c_voting_2012_dem_win:
                    "Yes we could! This segment provides information on voting for the 2012 Democratic win.",
                c_state_incentive_level:
                    "This segment provides information on incentives provided by various states to encourage business investments for economic development purposes.",
                c_age_5_to_9_rate:
                    "Small fish in a big pond. The people in this segment are navigating the new waters of elementary school and childhood, and it provides information on those ages 5 to 9 years old.",
                c_unemployed:
                    "This segment provides information on the unemployment rate.",
                c_voting_2012_dem_percentage:
                    "Yes we can! This segment provides information on the percentage of democratic voters in the 2012 election.",
                c_voting_2012_gop_percentage:
                    "This would not be the year of the elephant. This segment provides information on the percentage of republican voters in 2012.",
                c_wind_speed:
                    "Blowing in the wind. This segment provides information on wind speed.",
                c_age_10_to_14_rate:
                    "The people in this segment are navigating middle school, friendships, and social media. This 'tweens' segment provides information on children ages 10 through 14. ",
                c_age_15_to_17_rate:
                    "After surviving middle school, the people in this segment are faced with the challenges and changes of high school and full-on adolescence. This segment provides information on adolescents ages 15 to 17.",
                c_electricity_avg_retail_rate:
                    "Let's shed some light on the subject. This segment provides information on the average retail rate for electricity.",
                c_electric_price_residential:
                    "It pays to compare. This segment provides information on residential electric prices.",
                c_families_below_poverty_level:
                    "This segment provides information on the rate of families living below the poverty level.",
                c_voting_2016_dem_win:
                    "This segment provides information on voting for the 2016 Democratic win.",
                c_gini_index:
                    "This segment provides information on the Gini Index, or the measure of statistical distribution that represent the income or wealth sharing of a nation's residents.",
                c_family_below_poverty_level:
                    "This segment provides information on the rate of families living below the poverty level.",
                c_occupation_manufacturing_rate:
                    "Encompassing a range of activities, those employed in manufacturing are responsible for transforming raw materials into an end product. This segment provides information on the rate of those engaged in the manufacturing field.",
                c_occupation_public_rate:
                    "Paying it forward. Those employed in the public sector are often in engaged in meaningful work. This segment provides information on the rate of those employed in public occupations.",
                c_per_capita_income:
                    "They're keeping the wolf from the door. This segment provides information on per capita income.",
                c_population:
                    "From the semi-permanency of Antarctica to densely-populated China, a geographical area's population is very telling. This segment provides information on the total population of a specific area. ",
                c_population_density:
                    "Would you be most comfortable in the remoteness of Greenland or bustling Macau? This segment provides information on a specific area's population density.",
                c_race_black_africa_rate:
                    "This segment provides information on the rate of people identifying as Black African in a given area.",
                c_race_indian_alaska_rate:
                    "This segment provides information on the rate of people identifying as Native Alaskans in a given area.",
                c_race_islander_rate:
                    "This segment provides information on the rate of people identifying as Islanders in a given area.",
                c_relative_humidity:
                    "This segment provides information on relative humidity, or the amount of humidity in the air compared to how much there could be.",
                c_solar_panel_area_area:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the area required to size a solar power system.",
                c_solar_system_count:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of solar power systems.",
                c_electric_price_industrial:
                    "It pays to compare. Some companies are light years apart when it comes to pricing. This segment provides information on the residential price of electricity.",
                c_electric_price_overall:
                    "It pays to compare. Some companies are light years apart when it comes to pricing. This segment provides insight into the overall price of electricity. ",
                c_electric_price_transportation:
                    "It pays to compare. Some companies are light years apart when it comes to pricing. This segment provides insight into the overall price of electricity for the transportation sector. ",
                c_tile_count_non_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of non-residential solar tiles.",
                c_tile_count_residential:
                    "Wind, Water, Sun: Energy for the long run! This segment provides information on the estimated total count of residential solar tiles. ",
                c_frost_days:
                    "Jack Frost, Old Man Winter. Regardless of who is responsible for the cold weather, this segment provides information on the number of frosty days in a year. ",
                c_heating_fuel_solar_rate:
                    "It's getting hot in here. This segment provides information on the rate of solar heating fuel. ",
                c_heating_design_temperature:
                    "Does it run hot or cold? The Design Temperature is the expected minimum or maximum temperature for a particular area. This is used to size heating and/or cooling equipment. This segment provides information on various design temperatures for specific areas or regions. ",
                c_heating_fuel_housing_units:
                    "Brr, it's cold in here. This segment provides information on all types of fuel sources used by housing units.",
                c_transport_bicycle_rate:
                    "Great for the planet and great for your health. The people in this segment have found a mutually beneficial transportation solution. It provides information on the rate of people opting for cycling as a means of transportation.",
                c_transport_car_pool_rate:
                    "The people in this segment can enjoy life in the fast lane. It provides information on those who carpool. ",
                c_heating_fuel_none_rate:
                    "Some like it hot. Some like it cold. This segment provides information on the rate of the absence of a heating source.",
                c_heating_fuel_kerosene_rate:
                    "Some like it hot. This segment provides information on the rate of oil and/or kerosene used for heating purposes.",
                c_heating_fuel_other_rate:
                    "Some like it hot. This segment provides information on the rate of other sources of heating fuel.",
                c_housing_unit_median_gross_rent:
                    "Home is where the heart is. This segment provides information on the average gross rent per housing unit. ",
                c_housing_unit_median_value:
                    "The three rules of real estate: location, location, location.  This segment provides information on the average value per housing unit.  ",
                c_transport_walk_rate:
                    "Great for the planet and great for your health. The people in this segment have found a mutually beneficial transportation solution. It provides information on the rate of people walking as a means of transportation.",
                c_travel_time_average:
                    "Stuck in commuting hell? You're not alone. This segment provides information on the average commute time.",
                c_incentives_residential_state:
                    "You get what you give. This segment provides information on the incentives (rebates, financing) provided to residential properties at the state-level for installing energy-saving measures.",
                c_insurance_public_rate:
                    "Health insurance: because life is what happens when you're busy making other plans. This segment provides information on the rate of public health insurance. ",
                c_median_household_income:
                    "Who's bringing home the bacon (or bagels for our vegan friends)? This segment provides information on the average household income. ",
                c_number_of_years_of_education:
                    "Calling all bookworms. This segment provides information on the number of years of education an individual possesses. ",
                c_occupancy_owner_rate:
                    "Where do you hang your hat? This segment provides information on the percentage of residential rental units that are currently occupied by owners. ",
                c_age_35_to_44_rate:
                    "Part Millennial, part Gen-Xer, this segment blends analog and digital. Having been characterized as disenfranchised slackers in their youth, they have achieved a good work-life balance in midlife. ",
                c_age_75_to_84_rate:
                    "On the cusp of Baby Boomer and Greatest Generation, this segment is comprised of people who are well into retirement. Technology is a rarity among them and their physical activity may be slowing down due to health or general age-related issues. They have more traditional values and are often far-removed from more progressive generations, like Millennials and Generation Z.",
                c_cooling_design_temperature:
                    "Does it run hot or cold? The Design Temperature is the expected minimum or maximum temperature for a particular area. This is used to size heating and/or cooling equipment. This segment provides information on various design temperatures for specific areas or regions. ",
                c_daily_solar_radiation:
                    "This segment discusses the amount of solar radiation, or the radiant energy emitted by the sun, within a day's time.",
                c_diversity:
                    "Diversity can cover multiple areas, from race and ethnicity to gender or socio-economic status. This segment generally refers to a range of different things. ",
                c_travel_time_30_to_39_rate:
                    "With this commute time, you'd almost have time to listen to your favorite podcast. This segment provides information on the travel time for the 30-39 minute range,",
                c_travel_time_40_to_59_rate:
                    "Driving or taking public transportation. There are pros and cons to each when your daily commute is extended. This segment provides information on the travel time for the 40-59 minute range.",
                c_bachelor_s_degree_rate:
                    "This segment discusses the rate of those who have graduated with four-year college degrees.",
                c_some_college_education_rate:
                    "This segment provides information on the rate of those with some college education. ",
                c_doctoral_degree_rate:
                    "This segment discusses the rate of those who have graduated with doctoral degrees.",
                c_occupation_arts_rate:
                    "Starving arists? High school art teacher? Gallery owner? Whichever profession they chose, this segment did not choose their field for its conventionality. This segment provides information on the rate of those engaged in an arts occupation.",
                c_occupation_construction_rate:
                    "From brick layer to architect and everything in between, without this field we'd be living in the open air. This segment provides information on the rate of those employed in construction.",
                c_education_population:
                    "This segment provides information on education for the general population.",
                c_professional_degree_rate:
                    "This segment provides information on the rate of those who have graduated with a legal, medical, veterinary, or dental degree.",
                c_electric_consumer_commercial:
                    "Let's shed some light on the subject. This segment provides information on commercial consumers of electricity.",
                c_age_18_to_24_rate:
                    "The times are a-changing for Generation Z: college, first jobs, first apartments. This segment is comprised of legally tech-savvy adults, who still have one foot in adolesence, as they anticipate their next major development.",
                c_age_25_to_34_rate:
                    "Avocado toast in hand while searching for jobs in a gig economy. This segment, generally referred to as Millennials, are ethnically diverse, socially engaged, and trying to achieve \"traditional\" adult milestones despite a radically different social and economic landscape than their predecessors.",
                c_age_more_than_85_rate:
                    "This segment is comprised of the parents of the Baby Boomers. They either lived through the Great Depression and/or World War II or experienced the fall-out resulting from both of these major events. They enjoyed unprecedented social prosperoty in their early adulthood and lived through generations of rapidly changing technology, although remaining mostly removed from the latest technology boom of the 1990s. ",
                c_air_temperature:
                    "This segment deals with the measurement of how hot or cold air is. It describes the kinetic energy of gases that make up air. ",
                c_atmospheric_pressure:
                    "Also known as barometric pressure, this segment deals with the pressure applied by the atmosphere's weight.",
                c_average_household_income:
                    "This segment represents the median measure of the combined incomes of all persons sharing a residence",
                c_average_household_size:
                    "This segment represents the median measure of all persons occupying a housing unit. ",
                c_car_alone_rate:
                    "This segment represents the proportion of people who solely rely on a car for transportation.",
                c_cooling_degree_days:
                    "A CDD, or Cooling Degree Day is designed to quantify the demand needed to cool buildings. This segment represents the number of degrees that an average temperature in a day is above 65 degrees Fahrenheit (18 degrees Celsius)",
                s_activism:
                    "This segment seeks to advocate for a more just world. Common activities include protests, rallies, and spreading awareness to the public about social justice issues.",
                s_all_about_hair:
                    "Passionate about all things hair, this segment is talking about hair tutorials or the hottest celebrity blowout",
                s_animal_advocates:
                    "Passionate about animal welfare, this segment wants to know how best to care for their own pets (with toys and training) and help other animals find their fur-ever home. ",
                s_artistic_appreciation:
                    "Galleries, city murals, and skillful latte art gets this segment excited. They're always on the lookout for creative expression.",
                s_asian_food_culture:
                    "Asian culture has a lot to offer, but the Asian cuisine tends to be the most frequently referenced. This segment is talking about Asian dishes, holidays, and drinks.",
                s_awestruck:
                    "Great things are meant to be shared, and this segment is eager to show others what they find to be amazing, beautiful, and exciting.",
                s_body_art:
                    "Who says the body isn't a canvas? This segment loves talking about tattoos, body art and piercings.",
                s_bookish:
                    "Always seeking the next book, article, or poem to read, this activity is prevalent in areas where reading is a way of life. Although a solo activity, the expression of the love of books is a bonding, communal experience.",
                s_civic_attentiveness:
                    "These citizens want to make their neighborhood a better, more beautiful place to live. They're attentive to the needs and affairs of the local community. ",
                s_coffee_connoisseur:
                    "Morning java. Cup of Joe. Caffeine in an IV. Whatever they call it, this segment loves coffee and the culture around it.",
                s_competitive_nature:
                    "These folks have their head in the game. Whether it's creating a card game tournament with friends or cheering on the home team, these people want to win.",
                s_connected_motherhood:
                    "Motherhood is a unique journey for every woman. There are highs, lows, and lots to celebrate. These moms seek to share their experiences and engage with a community of moms. ",
                s_conservation:
                    "Good stewards of the earth, this segment advocates for a cleaner environment and responsible use of resources. They often encourage others to recycle and use clean energy.",
                s_daily_grind:
                    "Whether throwing punches at the boxing club or punching the clock at work, this segment likes to talk about their hard work.",
                s_dance_devotion:
                    "Some dance for fitness, others for fun, and a few turn it into a profession. No matter how these people groove to the music, their love for dance is what bonds them.",
                s_dating_life:
                    "With dating comes highs, lows, and lots of questions. You can find this segment talking about dating advice, breakups, and how to express their feelings.",
                s_deal_seekers:
                    "These people are hunting discounts, contests, and promotions. The segment loves a good sale, and they can't wait to share their bargain finds and winnings with friends and family.",
                s_deep_emotions:
                    "Sharing personal struggles and stories overcoming relationship issues, this segment seeks to tell others about their emotional journeys.",
                s_dog_lovers:
                    "Pups are just another member of the family. Dog lovers adore their tail-wagging friends and are looking for new ways to make them happy.",
                s_engine_enthusiasts:
                    "This segment loves working on and showing off their cars, trucks, and motorcycles. You can find them researching car shows and the hottest models on the lot.",
                s_family_time:
                    "Family time is always a good time for these folks. Whether it's a family vacation or making ice cream sundaes at home, this segment loves spending time with the people closest to them.",
                s_farm_culture:
                    "Do you know where your food comes from? These people do, and they want to share their love for farming and simple living with the community. ",
                s_film_lovers:
                    "Movie buffs and binge watchers expressing their love for movies, storytelling, and the film making process.",
                s_fitness_fashion:
                    "Workout clothes aren't just for working out anymore. This segment enjoys wearing name-brand athletic apparel for fashion and functional purposes.",
                s_fitness_obsession:
                    "Passionate about strength training, this segment relies heavily on the encouragement of the exercise community. While these people seek the latest fitness techniques, they're also interested in supplements and equipment.",
                s_fueling_for_fitness:
                    "A segment characterized by healthy eating. Often pre-planning for meals for the purpose of fitness and convenience. Likely to participate in meal prep trends.",
                s_functional_fitness:
                    "Looking good and reaching fitness goals is all about discipline: Eat right. Work hard. No excuses. This segment is more likely to view working out as a means to an end.",
                s_girl_squad:
                    "From girls night out to a movie night in with their closest gal pals, this segment is all about getting the girls together for an evening of fun.",
                s_gratitude:
                    "From generous tipping to standing ovations, this segment has a way with giving someone a pat on the back.",
                s_green_thumb:
                    "From tiny sprouts and window plants, to flower arrangements and designing a landscape, this segment has an affinity for all things green.",
                s_handcrafted:
                    "The only thing more beautiful than handmade decor? The hands that made it. This segment appreciates the time and care put into one-of-a-kind pieces.",
                s_happily_ever_after:
                    "Whether it's the stress of wedding planning or looking back on that special day, this segment has their eyes and hearts focused on lifelong commitment.",
                s_happy_place:
                    "Expressing feelings of safety, comfort, and happiness, especially with loved ones. ",
                s_heartfelt_sharing:
                    "This segment is characterised by vulnerability. Looking to unload emotional burdens, activities include confessions, apologies, and long-form posts.",
                s_hip_hop_culture:
                    "Dropping the beat and raising the roof, this segment enjoys everything hip hop culture has to offer, including music, dance moves, and fashion.",
                s_hipster:
                    "This segment swims against the tide of mainstream culture. Common interests include old music, antiques, and alternative diets (i.e., veganism).",
                s_home_leisure:
                    "There's no place like home. This activity is highest when people are feeling relaxed, like sharing a meal with friends or enjoying their morning coffee in their own home.",
                s_hops_brews:
                    "Thirst isn't the only reason this segment looks for a good brew. From beer drinkers on a budget to the millennial craft beer enthusiast, these men and women are passionate about different kinds of beer and how it's made.",
                s_humanitarian:
                    "Expressing a desire to give back and do good for the community, this behavior emphasizes charity. Common activities include volunteering, fundraisers, and donations.",
                s_ingredient_attentive:
                    "These folks are conscious about what they eat. They're looking for ingredients that not only taste great, but also have great nutritional benefits.",
                s_late_night_leisure:
                    "Ready to turn up when the sun goes down, this segment is looking for nighttime entertainment at home or out on the town.",
                s_lgbtq_culture:
                    "This segment is characterized by the expression of gay pride, gender identity, and accepting alternative lifestyles.",
                s_lighthearted_fun:
                    "This segment is all about keeping the mood light and good, clean fun. Common activities include spending time outdoors, catching up with friends, and dancing.",
                s_live_local_music:
                    "This segment follows the music. From local bands to current acts at the local venue, you can find these people researching band tours and how to get backstage passes.",
                s_live_experiences:
                    "When it comes to entertainment, this segment is looking for the ultimate experience. Whether it's a charity fundraiser or a concert, elements such as lights, sounds, and merchandise are critical for a good time.",
                s_love_romance:
                    "Love is in the air when this segment is present. Includes people expressing their feelings for significant others in special ways. Common activities include anniversaries and date nights.",
                s_memory_lane:
                    "Intentionally preserving memories of lost loved ones, joyful times, or reflecting on painful experiences in the past.",
                s_men_s_style:
                    "This segment is all about finding the latest in men's style ? from fashion to grooming. Captures guys looking to stay on trend and significant others assisting with shopping. ",
                s_mindfulness_spirituality:
                    "Seeking peace and well-being through meditation, gratitude, and spirituality. ",
                s_my_crew:
                    "Family, and friends who are like family - that's what this segment is all about. These people love celebrating and nurturing their closest relationships.",
                s_natural_beauty:
                    "This segment marvels at the beauty of nature, and they want to capture every breath-taking scene.",
                s_nerd_culture:
                    "These people aren't afraid to nerd out. Common activities include comic books, video games, and often intellectual pursuits.",
                s_networking:
                    "Driven to succeed in the business world, this segment seeks to progress in their career through networking happy hours, summits, and connecting with other professionals online.",
                s_organized_sports:
                    "From tryouts and casual pick-up games, to varsity tournaments and intramural matches, this segment includes people who participate in organized athletics. Often through schools or public recreational areas.",
                s_outdoor_adventures:
                    "Appreciating the outdoors, this segment wants to actively engage with nature. Whether it's finding a new hiking trail or looking for the perfect spot to catch the sunset, they seek to explore the world around them.",
                s_party_life:
                    "The party don't stop until the sun comes up. Loud music, crowds, and shots are a recipe for a great night out for these people.",
                s_past_reflections:
                    "This segment enjoys thinking about past historical events, including family genealogy, landmarks, and political affairs.",
                s_pieces_of_history:
                    "You can find these people researching an upcoming exhibit at the natural history museum or learning about a famous monument. This segment enjoys learning about the past.",
                s_politically_engaged:
                    "Politically aware, this segment is interested in civic issues on both the local and national level. They often dicsuss candidates for office, taxes, and political ideologies.",
                s_praise_worship:
                    "Making it to church on Sunday, this segment is drawn together by their devotion to, primarily Christian, religion. Common activities include worship services and bible studies.",
                s_sites_to_see:
                    "This segment finds the most beautiful sites just by looking up. Sunrise, sunset or sometime in between, these people love to marvel at man-made and natural wonders.",
                s_smart_chic:
                    "Passionate about style, smart chic searches high and low for the perfect look, but not one that will break the bank. ",
                s_smoke_culture:
                    "Living the high life, this segment is interested primarily in vaping and marijuana. They emphasize the culture around these activities, including vape tricks and discovering new flavors or strains.",
                s_student_life:
                    "There's more to student life than academics. It's about the experience, from classes and homecoming, to making lifetime friends and alumni events. These are students at school, taking classes online, or finding other ways to be students in their daily lives.",
                s_sweet_treats:
                    "This segment has a sweet tooth, and they're looking for treats to satisfy their sugar craving, including candy, cupcakes and flavorful toppings. ",
                s_trend_trackers:
                    "This segment lives as fast as the culture. They like to keep up with the latest trends, especially when it comes to apparel and accessories.",
                s_trendy_eats:
                    "Meals are a social experience, and these foodies take it to the next level. This segment can't wait to snap a pic of their plate and share it before chowing down.",
                s_wanderlust:
                    "Always thinking about their next destination, this segment loves exploring new places abroad or right in their own backyard. They hold onto past trips by sharing their favorite memories and pictures year round. ",
                s_wealth_signaling:
                    "Interested in the finer things life has to offer, this segment wants to display their lifestyle by discussing luxury products. Often references jewelery, cars, and home features.",
                s_whiskey_business:
                    "Characterized by their appreciation for all things whiskey, this segment enjoys the classy atmosphere of whiskey drinking and learning about different brands.",
                s_wine_lovers:
                    "It's all about the grape. This segment enjoys a trip to the vineyard to learn about wine and sharing a good bottle with friends and family.",
                s_yoga_advocates:
                    "Improving flexibility, strength, and overall well-being is the yogi's aim. This segment is looking for the right community, instruction, and accessories."
            }

            var updateUI = function () {
                var descriptionNode = dojo.byId(namingContainer + "description");
                var c = dijit.byId(namingContainer + 'SegmentId');
                var value = c.get("value");

                if (value != "") {
                    descriptionNode.innerHTML = "<div style='width:600px'><p>"
                        + "<a href='https://browse.pulse.app/?c_id=" + value + "' target='_blank'>"
                        + "<img src = 'https://pulsestatic.z13.web.core.windows.net/" + value + ".png' style='margin-top:-40px;padding: 20px 20px; vertical-align:middle;float:right;' /> "
                        + "</a>"
                        + taxonomy[value]
                        + "</p><p><a href='https://browse.pulse.app/?c_id=" + value + "&traffic=hidden' target='_blank' style='color:blue;'>View the Map</a></p>"
                        + "</p></div>";
                }
            }

            updateUI();

            control.on('change', function (evt) {
                updateUI();
            });

        }
    };
})();